Bug 508965 - Disabling DHCP also turns off DNS forwarding for a libvirt network
Disabling DHCP also turns off DNS forwarding for a libvirt network
Status: CLOSED CURRENTRELEASE
Product: Virtualization Tools
Classification: Community
Component: libvirt (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Veillard
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-30 13:07 EDT by Charles Duffy
Modified: 2010-03-16 13:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-14 11:09:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles Duffy 2009-06-30 13:07:31 EDT
Description of problem:

Disabling libvirt-controlled DHCP (/network/ip/dhcp) also prevents DNS forwarding from being available to the relevant libvirt-controlled network.

This could be resolved by running dnsmasq with the --no-dhcp-

Version-Release number of selected component (if applicable):

0.6.4

How reproducible:

Every time

Steps to Reproduce:
1. Create a libvirt network without /network/ip/dhcp defined.
2. Start a guest in that network.
3. Attempt to resolve names through DNS through the host's IP on that network (/network/ip/@address)
  
Actual results:

DNS service should be available via the IP defined in the network XML at /network/ip/@address, just as it is with DHCP running.

Expected results:

No DNS redirection is available.

Additional info:

dnsmasq has a --no-dhcp-interface= argument which can be used to implement this functionality.
Comment 1 Daniel Berrange 2009-08-14 11:09:45 EDT
This was addressed in the 0.7.0 release in the following commit


author:	Daniel P. Berrange <berrange@redhat.com>
	 Thu, 30 Jul 2009 13:52:31 +0000 (14:52 +0100)
commit:	df3de82c06d42fed832c1955dafdee85879bd15a

Allow dnsmasq to provide DNS without DHCP

* src/network_driver.c: Always start dnsmasq to allow it to provide
  DNS, even if no DHCP ranges are enabled

Note You need to log in before you can comment on or make changes to this bug.